const index = {

    prefix: '/api/v1/session',

    middleware: [],

    get: {
        '/': [
            ['middleware::auth:ApiRoute', { allow_public: true }],
            'controller::api:v1:Session.get_session',
        ],

        '/device-token': [
            'middleware::auth:ApiRoute',
            'controller::api:v1:Session.get_device_token',
        ],
    },

    post: {
        '/': [
            ['middleware::auth:ApiRoute', { allow_public: true }],
            'controller::api:v1:Session.save_session',
        ],
    },
}

module.exports = exports = index
